Loading...
Searching...
No Matches
AbcPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <AbcPrimalColumnDantzig.hpp>`

Inheritance diagram for AbcPrimalColumnDantzig:
[legend]
Collaboration diagram for AbcPrimalColumnDantzig:
[legend]

## Public Member Functions

Algorithmic methods
virtual int | pivotColumn (CoinPartitionedVector *updates, CoinPartitionedVector *spareRow2, CoinPartitionedVector *spareColumn1)
| Returns pivot column, -1 if none.
virtual void | saveWeights (AbcSimplex *model, int)
| Just sets model.
Constructors and destructors
| AbcPrimalColumnDantzig ()
| Default Constructor.
| AbcPrimalColumnDantzig (const AbcPrimalColumnDantzig &)
| Copy constructor.
AbcPrimalColumnDantzig & | operator= (const AbcPrimalColumnDantzig &rhs)
| Assignment operator.
virtual | ~AbcPrimalColumnDantzig ()
| Destructor.
virtual AbcPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.
Public Member Functions inherited from AbcPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty).
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound.
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any column.
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use).
| AbcPrimalColumnPivot ()
| Default Constructor.
| AbcPrimalColumnPivot (const AbcPrimalColumnPivot &)
| Copy constructor.
AbcPrimalColumnPivot & | operator= (const AbcPrimalColumnPivot &rhs)
| Assignment operator.
virtual | ~AbcPrimalColumnPivot ()
| Destructor.
AbcSimplex * | model ()
| Returns model.
void | setModel (AbcSimplex *newmodel)
| Sets model.
int | type ()
| Returns type (above 63 is extra information).
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off.
virtual void | switchOffSprint ()
| Switch off sprint idea.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.

## Additional Inherited Members

Protected Attributes inherited from AbcPrimalColumnPivot
AbcSimplex * | model_
| Pointer to model.
int | type_
| Type of column pivot algorithm.
bool | looksOptimal_
| Says if looks optimal (normally computed).

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file AbcPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

## AbcPrimalColumnDantzig() [1/2]

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( |  | ) |

Default Constructor.

## AbcPrimalColumnDantzig() [2/2]

AbcPrimalColumnDantzig::AbcPrimalColumnDantzig | ( | const AbcPrimalColumnDantzig & |  | ) |

Copy constructor.

## ~AbcPrimalColumnDantzig()

virtual AbcPrimalColumnDantzig::~AbcPrimalColumnDantzig | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## pivotColumn()

virtual int AbcPrimalColumnDantzig::pivotColumn | ( | CoinPartitionedVector * | updates,
|  | CoinPartitionedVector * | spareRow2,
|  | CoinPartitionedVector * | spareColumn1 )

virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements AbcPrimalColumnPivot.

## saveWeights()

virtual void AbcPrimalColumnDantzig::saveWeights | ( | AbcSimplex * | model,
|  | int | )

inline virtual

Just sets model.

Implements AbcPrimalColumnPivot.

Definition at line 37 of file AbcPrimalColumnDantzig.hpp.

## operator=()

AbcPrimalColumnDantzig & AbcPrimalColumnDantzig::operator= | ( | const AbcPrimalColumnDantzig & | rhs | ) |

Assignment operator.

## clone()

virtual AbcPrimalColumnPivot * AbcPrimalColumnDantzig::clone | ( | bool | copyData = true | ) | const

virtual

Clone.

Implements AbcPrimalColumnPivot.

The documentation for this class was generated from the following file:

- Clp/src/AbcPrimalColumnDantzig.hpp